Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.cached
Class CachedWFSDatastore

    java.lang.Object
      org.deegree.io.datastore.Datastore
          org.deegree.io.datastore.cached.CachedWFSDatastore

    public class CachedWFSDatastore

extends Datastore

`Datastore` implementation that

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Field Summary

Fields inherited from class org.deegree.io.datastore.Datastore
`SRS_UNDEFINED`

Constructor Summary
`CachedWFSDatastore()` default constructor; reads cache size from /cache.properties or if not available from cache.properties

Method Summary
`void` | `bindSchema(MappedGMLSchema schema)` Adds the given GML application schema to the set of schemas that are handled by this datastore instance.
`void` | `close()` Closes the datastore so it can free dependent resources.
`CachedWFSAnnotationDocument` | `getAnnotationParser()` Returns the datastore specific annotation parser.
`FeatureCollection` | `performQuery(Query query, MappedFeatureType[] rootFts)` Performs a query against the datastore.
`FeatureCollection` | `performQuery(Query query, MappedFeatureType[] rootFts, DatastoreTransaction context)` Performs a query against the datastore (in the given transaction context).

Methods inherited from class org.deegree.io.datastore.Datastore
`acquireTransaction, canTransformTo, configure, determineFidsToLock, getConfiguration, getFeatureType, getSchemas, releaseTransaction, transformQuery, transformResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedWFSDatastore

    public CachedWFSDatastore()

  default constructor; reads cache size from /cache.properties or if not available from cache.properties

Method Detail

### bindSchema

    public void bindSchema(MappedGMLSchema schema)
                    throws DatastoreException

  Description copied from class: `Datastore`
  Adds the given GML application schema to the set of schemas that are handled by this datastore instance.

  Note that this method may be called several times for every GML schema that uses this datastore instance.

  Overrides:
    `bindSchema` in class `Datastore`
  Parameters:
    `schema` - GML application schema to bind
  Throws:
    `DatastoreException`

### getAnnotationParser

    public CachedWFSAnnotationDocument getAnnotationParser()

  Description copied from class: `Datastore`
  Returns the datastore specific annotation parser.

  Specified by:
    `getAnnotationParser` in class `Datastore`
  Returns:
    the datastore specific annotation parser

### close

    public void close()
               throws DatastoreException

  Description copied from class: `Datastore`
  Closes the datastore so it can free dependent resources.

  Specified by:
    `close` in class `Datastore`
  Throws:
    `DatastoreException`

### performQuery

    public FeatureCollection performQuery(Query query,
                                          MappedFeatureType[] rootFts,
                                          DatastoreTransaction context)
                                   throws DatastoreException,
                                          UnknownCRSException

  Description copied from class: `Datastore`
  Performs a query against the datastore (in the given transaction context).

  Specified by:
    `performQuery` in class `Datastore`
  Parameters:
    `query` - query to be performed
    `rootFts` - the root feature types that are queried, more than one type means that the types are joined
    `context` - context (used to specify the JDBCConnection, for example)
  Returns:
    requested feature instances
  Throws:
    `DatastoreException`
    `UnknownCRSException`

### performQuery

    public FeatureCollection performQuery(Query query,
                                          MappedFeatureType[] rootFts)
                                   throws DatastoreException,
                                          UnknownCRSException

  Description copied from class: `Datastore`
  Performs a query against the datastore.

  Specified by:
    `performQuery` in class `Datastore`
  Parameters:
    `query` - query to be performed
    `rootFts` - the root feature types that are queried, more than one type means that the types are joined
  Returns:
    requested feature instances
  Throws:
    `DatastoreException`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org